%define oname kio-extras

Summary:	Plasma 5 extra kio slaves module
Name:		plasma5-%{oname}
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Patch0:		kio-extras-17.04.2-link-tirpc-for-nfs.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	gperf
BuildRequires:	jpeg-devel
BuildRequires:	kf5activities-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5dnssd-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5solid-devel
BuildRequires:	openslp-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(taglib)
Requires:	plasma5-kio-applications
Requires:	plasma5-kio-desktop

%description
Plasma 5 extra kio slaves module.

%files -f %{name}.lang
%{_kde5_datadir}/config.kcfg/jpegcreatorsettings5.kcfg
%{_kde5_datadir}/kio_bookmarks/
%{_kde5_datadir}/kio_docfilter/
%{_kde5_datadir}/kio_info/
%{_kde5_datadir}/konqsidebartng/virtual_folders/remote/virtualfolder_network.desktop
%{_kde5_datadir}/konqueror/dirtree/remote/mtp-network.desktop
%{_kde5_datadir}/konqueror/dirtree/remote/smb-network.desktop
%{_kde5_datadir}/remoteview/mtp-network.desktop
%{_kde5_datadir}/remoteview/network.desktop
%{_kde5_datadir}/remoteview/smb-network.desktop
%{_kde5_datadir}/solid/actions/solid_mtp.desktop
%{_kde5_plugindir}/kded/filenamesearchmodule.so
%{_kde5_plugindir}/kded/networkwatcher.so
%{_kde5_plugindir}/kded/recentdocumentsnotifier.so
%{_kde5_plugindir}/kio/archive.so
%{_kde5_plugindir}/kio/bookmarks.so
%{_kde5_plugindir}/kio/filenamesearch.so
%{_kde5_plugindir}/kio/filter.so
%{_kde5_plugindir}/kio/fish.so
%{_kde5_plugindir}/kio/info.so
%{_kde5_plugindir}/kio/man.so
%{_kde5_plugindir}/kio/mtp.so
%{_kde5_plugindir}/kio/network.so
%{_kde5_plugindir}/kio/nfs.so
%{_kde5_plugindir}/kio/recentdocuments.so
%{_kde5_plugindir}/kio/settings.so
%{_kde5_plugindir}/kio/sftp.so
%{_kde5_plugindir}/kio/smb.so
%{_kde5_plugindir}/kio/thumbnail.so
%{_kde5_services}/about.protocol
%{_kde5_services}/activities.protocol
%{_kde5_services}/ar.protocol
%{_kde5_services}/bookmarks.protocol
%{_kde5_services}/bzip.protocol
%{_kde5_services}/bzip2.protocol
%{_kde5_services}/filenamesearch.protocol
%{_kde5_services}/fish.protocol
%{_kde5_services}/gzip.protocol
%{_kde5_services}/info.protocol
%{_kde5_services}/lzma.protocol
%{_kde5_services}/man.protocol
%{_kde5_services}/mtp.protocol
%{_kde5_services}/network.protocol
%{_kde5_services}/nfs.protocol
%{_kde5_services}/recentdocuments.protocol
%{_kde5_services}/settings.protocol
%{_kde5_services}/sftp.protocol
%{_kde5_services}/smb.protocol
%{_kde5_services}/tar.protocol
%{_kde5_services}/thumbnail.protocol
%{_kde5_services}/xz.protocol
%{_kde5_services}/zip.protocol
%{_kde5_services}/audiothumbnail.desktop
%{_kde5_services}/comicbookthumbnail.desktop
%{_kde5_services}/directorythumbnail.desktop
%{_kde5_services}/djvuthumbnail.desktop
%{_kde5_services}/exrthumbnail.desktop
%{_kde5_services}/htmlthumbnail.desktop
%{_kde5_services}/imagethumbnail.desktop
%{_kde5_services}/jpegthumbnail.desktop
%{_kde5_services}/kactivitymanagerd_fileitem_linking_plugin.desktop
%{_kde5_services}/kmanpart.desktop
%{_kde5_services}/kraorathumbnail.desktop
%{_kde5_services}/svgthumbnail.desktop
%{_kde5_services}/textthumbnail.desktop
%{_kde5_services}/windowsexethumbnail.desktop
%{_kde5_services}/windowsimagethumbnail.desktop
%{_kde5_servicetypes}/thumbcreator.desktop
%{_qt5_plugindir}/audiothumbnail.so
%{_qt5_plugindir}/comicbookthumbnail.so
%{_qt5_plugindir}/djvuthumbnail.so
%{_qt5_plugindir}/exrthumbnail.so
%{_qt5_plugindir}/htmlthumbnail.so
%{_qt5_plugindir}/imagethumbnail.so
%{_qt5_plugindir}/jpegthumbnail.so
%{_qt5_plugindir}/kactivitymanagerd_fileitem_linking_plugin.so
%{_qt5_plugindir}/kfileaudiopreview.so
%{_qt5_plugindir}/kio_activities.so
%{_qt5_plugindir}/kritathumbnail.so
%{_qt5_plugindir}/libkio_about.so
%{_qt5_plugindir}/libkmanpart.so
%{_qt5_plugindir}/svgthumbnail.so
%{_qt5_plugindir}/textthumbnail.so
%{_qt5_plugindir}/windowsexethumbnail.so
%{_qt5_plugindir}/windowsimagethumbnail.so
%{_datadir}/mime/packages/kf5_network.xml

#----------------------------------------------------------------------------

%define kioarchive_major 5
%define libkioarchive %mklibname kioarchive %{kioarchive_major}

%package -n %{libkioarchive}
Summary:	Plasma 5 extra kio slaves shared library
Group:		System/Libraries

%description -n %{libkioarchive}
Plasma 5 extra kio slaves shared library.

%files -n %{libkioarchive}
%{_kde5_libdir}/libkioarchive.so.%{kioarchive_major}*

#----------------------------------------------------------------------------

%define molletnetwork5_major 17
%define libmolletnetwork5 %mklibname molletnetwork5_ %{molletnetwork5_major}

%package -n %{libmolletnetwork5}
Summary:	Plasma 5 extra kio slaves shared library
Group:		System/Libraries

%description -n %{libmolletnetwork5}
Plasma 5 extra kio slaves shared library.

%files -n %{libmolletnetwork5}
%{_kde5_libdir}/libmolletnetwork5.so.%{molletnetwork5_major}*

#----------------------------------------------------------------------------

%define devplasma5_kio_extras %mklibname plasma5-kio-extras -d

%package -n %{devplasma5_kio_extras}
Summary:	Development files for Plasma 5 extra kio slaves module
Group:		Development/KDE and Qt
Requires:	%{libkioarchive} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devplasma5_kio_extras}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devplasma5_kio_extras}
%{_kde5_includedir}/KF5/kio_archivebase.h
%{_kde5_includedir}/KF5/libkioarchive_export.h
%{_kde5_libdir}/cmake/KioArchive/
%{_datadir}/dbus-1/interfaces/kf5_org.kde.network.kioslavenotifier.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-html --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (6fad2f8) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (a5a8a60) Add libkioarchive shared library package and update development package files
- (Andrey Bondrov: 8c1da38) New libmolletnetwork5 major 17
- (Andrey Bondrov: 55f129d) New version 17.08.2

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-2
- (6924484) Don't require obsolete plasma5-kio-remote

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (c11ecba) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (653d8e5) Build requires gperf
- (Andrey Bondrov: f00b6bd) Add audio and html thumbnail support
- (Andrey Bondrov: ab455e5) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (d70992d) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (6c11665) Drop version patch
- (Andrey Bondrov: b6eddf6) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (f6a0513) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (316beca) Fix version patch and update files
- (Andrey Bondrov: e178571) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (45808c4) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (76a298e) Update files
- (Andrey Bondrov: 94a016d) Update version patch
- (Andrey Bondrov: baf82a9) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-4
- (54569dd) MassBuild#1169: Increase release tag

* Thu Sep 22 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-3
- (010e41a) Bump release

* Thu Sep 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-2
- (362c5fe) Bump release

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (68a9a51) Adjust version patch
- (Andrey Bondrov: c80cbc0) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.2-1
- (11bd608) Build requires pkgconfig(Qt5Sql)
- (Andrey Bondrov: bb43801) Build requires kf5activities-devel
- (Andrey Bondrov: bb43801) Add new files
- (Andrey Bondrov: 5bfddfa) Ajust version patch to match current version
- (Andrey Bondrov: cf751ef) New version 16.04.2

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.3-1
- (a49680c) New version 15.12.3

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.2-1
- (b627254) New version 15.12.3


